
<div *ngIf="commodity">
    <h2><span jhiTranslate="coreDataE1App.commodity.detail.title">Commodity</span> {{commodity.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="coreDataE1App.commodity.cmCode">Cm Code</span></dt>
        <dd>
            <span>{{commodity.cmCode}}</span>
        </dd>
        <dt><span jhiTranslate="coreDataE1App.commodity.description">Description</span></dt>
        <dd>
            <span>{{commodity.description}}</span>
        </dd>
        <dt><span jhiTranslate="coreDataE1App.commodity.status">Status</span></dt>
        <dd>
            <span jhiTranslate="{{'coreDataE1App.CommodityStatus.' + commodity.status}}">{{commodity.status}}</span>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'commodity/'+ commodity.id + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
